<!--
  ~ Copyright 2015 IHE International (http://www.ihe.net)
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  ~
  -->

<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="uploadFileForm">
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="uploadFilePopup"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.xval.UploadAFileToValidate']}</ui:define>
            <s:div id="uploadFilePopupContent">
                <s:span styleClass="gzl-icon-info ">
                    <h:outputText
                            value=" #{messages['net.ihe.gazelle.xval.UploadFilesForInput']} #{uploadBean.currentFile.inputKeyword} (#{uploadBean.currentFile.inputObjectType.value})"/>
                </s:span>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xval.MinCardinality']}</ui:define>
                    <h:outputText value="#{uploadBean.currentFile.inputMin}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xval.MaxCardinality']}</ui:define>
                    <h:outputText value="#{uploadBean.currentFile.inputMax}" rendered="#{uploadBean.currentFile.inputMax &gt;= 0}"/>
                    <h:outputText value="*" rendered="#{uploadBean.currentFile.inputMax == -1}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xval.NbOfUploadFiles']})</ui:define>
                    <h:outputText value="#{uploadBean.currentFile.files.size()}"/>
                </s:decorate>
                <rich:fileUpload fileUploadListener="#{uploadBean.fileUploadListener}" id="upload"
                                 immediateUpload="true" enctype="multipart/form-data"
                                 disabled="#{!uploadBean.isUploadNeeded()}"
                                 maxFilesQuantity="#{uploadBean.getMaxInput()}"/>
            </s:div>
            <ui:define name="popup_footer">
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Done']}" oncomplete="jq162('#uploadFilePopup').modal('hide');"
                                   actionListener="#{uploadBean.setCurrentFile(null)}"
                                   render="filesTable, filesDiv, :buttons :remoteButtons"
                                   styleClass="gzl-btn-green"/>
            </ui:define>
        </ui:decorate>
    </h:form>
</ui:composition>
